| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
AlgToolHistory Class Reference

AlgToolHistory class definition. More...

`#include <GaudiKernel/AlgToolHistory.h>`

Inheritance diagram for AlgToolHistory:
[legend]
Collaboration diagram for AlgToolHistory:
[legend]

## Public Member Functions
| AlgToolHistory (const AlgTool &alg, const JobHistory *job)
| AlgToolHistory (const std::string &algVersion, const std::string &algName, const std::string &algType, const AlgTool *tool, const PropertyList &props, const JobHistory *job)
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
const std::string & | algtool_type () const
const std::string & | algtool_version () const
const std::string & | algtool_name () const
const AlgTool * | algtool_instance () const
const PropertyList & | properties () const override
const JobHistory * | jobHistory () const
void | dump (std::ostream &, const bool isXML=false, int indent=0) const override
const std::string & | name () const override
const std::string & | type () const override
const std::string & | version () const override
Public Member Functions inherited from HistoryObj
| HistoryObj ()=default
virtual | ~HistoryObj ()=default
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from IVersHistoryObj
virtual | ~IVersHistoryObj ()=default

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from HistoryObj
static const CLID & | classID ()
static std::string | convert_string (const std::string &)
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
std::string | m_type
std::string | m_version
std::string | m_name
const AlgTool * | m_tool
PropertyList | m_properties
const JobHistory * | m_jobHistory

## Additional Inherited Members
Public Types inherited from IVersHistoryObj
typedef std::vector< Gaudi::Details::PropertyBase * > | PropertyList
Protected Member Functions inherited from HistoryObj
virtual void | indent (std::ostream &, int) const

## Detailed Description

AlgToolHistory class definition.

Author
  : Charles Leggett

Definition at line 22 of file AlgToolHistory.h.

## Constructor & Destructor Documentation

## ◆ AlgToolHistory() [1/2]

AlgToolHistory::AlgToolHistory | ( | const AlgTool & | alg,
|  | const JobHistory * | job
| ) |  |

Definition at line 21 of file AlgToolHistory.cpp.

22 : m_type( alg.type() )
23 , m_version( "UNKNOWN" )
24 , m_name( alg.name() )
25 , m_tool( &alg )
26 , m_properties( alg.getProperties() )
27 , m_jobHistory( job ) {}
AlgToolHistory::m_version
std::string m_version
Definition: AlgToolHistory.h:29
ManySmallAlgs.alg
alg
Definition: ManySmallAlgs.py:69
AlgToolHistory::m_jobHistory
const JobHistory * m_jobHistory
Definition: AlgToolHistory.h:41
AlgToolHistory::m_name
std::string m_name
Definition: AlgToolHistory.h:32
AlgToolHistory::m_properties
PropertyList m_properties
Definition: AlgToolHistory.h:38
AlgToolHistory::m_type
std::string m_type
Definition: AlgToolHistory.h:26
AlgToolHistory::m_tool
const AlgTool * m_tool
Definition: AlgToolHistory.h:35
AlgTool::type
const std::string & type() const override
Retrieve type (concrete class) of the sub-algtool.
Definition: AlgTool.cpp:65

## ◆ AlgToolHistory() [2/2]

AlgToolHistory::AlgToolHistory | ( | const std::string & | algVersion,
|  | const std::string & | algName,
|  | const std::string & | algType,
|  | const AlgTool * | tool,
|  | const PropertyList & | props,
|  | const JobHistory * | job
| ) |  |

Definition at line 31 of file AlgToolHistory.cpp.

34 : m_type( algType )
35 , // FIXME type_info???
36 m_version( algVersion )
37 , m_name( algName )
38 , m_tool( tool )
39 , m_properties( props )
40 , m_jobHistory( job ) {}
AlgToolHistory::m_version
std::string m_version
Definition: AlgToolHistory.h:29
AlgToolHistory::m_jobHistory
const JobHistory * m_jobHistory
Definition: AlgToolHistory.h:41
AlgToolHistory::m_name
std::string m_name
Definition: AlgToolHistory.h:32
AlgToolHistory::m_properties
PropertyList m_properties
Definition: AlgToolHistory.h:38
AlgToolHistory::m_type
std::string m_type
Definition: AlgToolHistory.h:26
AlgToolHistory::m_tool
const AlgTool * m_tool
Definition: AlgToolHistory.h:35

## Member Function Documentation

## ◆ algtool_instance()

const AlgTool* AlgToolHistory::algtool_instance | ( |  | ) | const
| inline

Definition at line 63 of file AlgToolHistory.h.

63 { return m_tool; }
AlgToolHistory::m_tool
const AlgTool * m_tool
Definition: AlgToolHistory.h:35

## ◆ algtool_name()

const std::string& AlgToolHistory::algtool_name | ( |  | ) | const
| inline

Definition at line 60 of file AlgToolHistory.h.

60 { return m_name; }
AlgToolHistory::m_name
std::string m_name
Definition: AlgToolHistory.h:32

## ◆ algtool_type()

const std::string& AlgToolHistory::algtool_type | ( |  | ) | const
| inline

Definition at line 54 of file AlgToolHistory.h.

54 { return m_type; }
AlgToolHistory::m_type
std::string m_type
Definition: AlgToolHistory.h:26

## ◆ algtool_version()

const std::string& AlgToolHistory::algtool_version | ( |  | ) | const
| inline

Definition at line 57 of file AlgToolHistory.h.

57 { return m_version; }
AlgToolHistory::m_version
std::string m_version
Definition: AlgToolHistory.h:29

## ◆ classID()

const CLID & AlgToolHistory::classID | ( |  | ) |
| static

Definition at line 44 of file AlgToolHistory.cpp.

44 {
45
46 static const CLID CLID_AlgToolHistory = 171959758; // from `clid AlgToolHistory`
47 return CLID_AlgToolHistory;
48 }
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8

## ◆ clID()

const CLID& AlgToolHistory::clID | ( |  | ) | const
| inline override virtual

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from DataObject.

Definition at line 50 of file AlgToolHistory.h.

50 { return classID(); }
AlgToolHistory::classID
static const CLID & classID()
Definition: AlgToolHistory.cpp:44

## ◆ dump()

void AlgToolHistory::dump | ( | std::ostream & | ost,
|  | const bool | isXML = `false`,
|  | int | indent = `0`
| ) |  | const
| override virtual

Implements HistoryObj.

Definition at line 52 of file AlgToolHistory.cpp.

52 {
53
54 if ( !isXML ) {
55
56 ost << "Name: " << algtool_name() << endl;
57 ost << "Type: " << algtool_type() << endl;
58 ost << "Version: " << algtool_version() << endl;
59 ost << "Parent: " << algtool_instance()->name() << endl;
60
61 // Properties
62 ost << "Properties: [" << endl;
63
64 for ( const auto& iprop : properties() ) {
65 iprop->fillStream( ost );
66 ost << endl;
67 }
68 ost << "]" << endl;
69
70 } else {
71
72 ind += 2;
73 indent( ost, ind );
74 ost << "<COMPONENT name=\"" << algtool_name() << "\" class=\"" << convert_string( algtool_type() )
75 << "\" version=\"" << convert_string( algtool_version() ) << "\" parent=\""
76 << convert_string( algtool_instance()->name() ) << "\">" << endl;
77
78 for ( const auto& iprop : properties() ) {
79
80 indent( ost, ind + 2 );
81 ost << "<PROPERTY name=\"" << iprop->name() << "\" value=\"" << convert_string( iprop->toString() )
82 << "\" documentation=\"" << convert_string( iprop->documentation() ) << "\">" << endl;
83 }
84
85 indent( ost, ind );
86 ost << "</COMPONENT>" << endl;
87 }
88 }
AlgToolHistory::properties
const PropertyList & properties() const override
Definition: AlgToolHistory.h:66
AlgToolHistory::algtool_name
const std::string & algtool_name() const
Definition: AlgToolHistory.h:60
AlgToolHistory::algtool_version
const std::string & algtool_version() const
Definition: AlgToolHistory.h:57
AlgToolHistory::name
const std::string & name() const override
Definition: AlgToolHistory.h:73
std::endl
T endl(T... args)
AlgToolHistory::algtool_instance
const AlgTool * algtool_instance() const
Definition: AlgToolHistory.h:63
AlgToolHistory::algtool_type
const std::string & algtool_type() const
Definition: AlgToolHistory.h:54
HistoryObj::indent
virtual void indent(std::ostream &, int) const
Definition: HistoryObj.cpp:46
HistoryObj::convert_string
static std::string convert_string(const std::string &)
Definition: HistoryObj.cpp:20
AlgTool::name
const std::string & name() const override
Retrieve full identifying name of the concrete tool object.
Definition: AlgTool.cpp:58

## ◆ jobHistory()

const JobHistory* AlgToolHistory::jobHistory | ( |  | ) | const
| inline

Definition at line 69 of file AlgToolHistory.h.

69 { return m_jobHistory; }
AlgToolHistory::m_jobHistory
const JobHistory * m_jobHistory
Definition: AlgToolHistory.h:41

## ◆ name()

const std::string& AlgToolHistory::name | ( |  | ) | const
| inline override virtual

Implements IVersHistoryObj.

Definition at line 73 of file AlgToolHistory.h.

73 { return algtool_name(); }
AlgToolHistory::algtool_name
const std::string & algtool_name() const
Definition: AlgToolHistory.h:60

## ◆ properties()

const PropertyList& AlgToolHistory::properties | ( |  | ) | const
| inline override virtual

Implements IVersHistoryObj.

Definition at line 66 of file AlgToolHistory.h.

66 { return m_properties; }
AlgToolHistory::m_properties
PropertyList m_properties
Definition: AlgToolHistory.h:38

## ◆ type()

const std::string& AlgToolHistory::type | ( |  | ) | const
| inline override virtual

Implements IVersHistoryObj.

Definition at line 74 of file AlgToolHistory.h.

74 { return algtool_type(); }
AlgToolHistory::algtool_type
const std::string & algtool_type() const
Definition: AlgToolHistory.h:54

## ◆ version()

const std::string& AlgToolHistory::version | ( |  | ) | const
| inline override virtual

Implements IVersHistoryObj.

Definition at line 75 of file AlgToolHistory.h.

75 { return algtool_version(); }
AlgToolHistory::algtool_version
const std::string & algtool_version() const
Definition: AlgToolHistory.h:57

## Member Data Documentation

## ◆ m_jobHistory

const JobHistory* AlgToolHistory::m_jobHistory
| private

Definition at line 41 of file AlgToolHistory.h.

## ◆ m_name

std::string AlgToolHistory::m_name
| private

Definition at line 32 of file AlgToolHistory.h.

## ◆ m_properties

PropertyList AlgToolHistory::m_properties
| private

Definition at line 38 of file AlgToolHistory.h.

## ◆ m_tool

const AlgTool* AlgToolHistory::m_tool
| private

Definition at line 35 of file AlgToolHistory.h.

## ◆ m_type

std::string AlgToolHistory::m_type
| private

Definition at line 26 of file AlgToolHistory.h.

## ◆ m_version

std::string AlgToolHistory::m_version
| private

Definition at line 29 of file AlgToolHistory.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/AlgToolHistory.h
- GaudiKernel/src/Lib/AlgToolHistory.cpp